Scrum - User story #857

As a user | want stats about members speed
2014-08-20 16:01 - Emilio Gonzalez Montafia

Status: New
Priority: Normal
Category:

Target version:

Blocked: No

Alone:

Description

History

#1 - 2016-04-02 13:52 - Emilio Gonzalez Montaina
- Blocked set to Yes

#2 - 2016-04-02 13:52 - Emilio Gonzalez Montaina
- Blocked changed from Yes to No
